R = QQ[z_0..z_5]

-- Q101
Qu = {subsets({1,2,3,4},3) | {{1,5,6},{1,7,8},{2,5,7},{2,6,8}} , 
      {{3,4,5,6,7,8}}}

myfile = "result_Quatroid101.txt"
myfile << "Testing irreducibility of the realization space of Quatroid 101. \n \n"

-- up to the action of PGL2 we may
-- and the points 1,2,5 to be (1,0,0), (0,1,0), (0,0,1)

X = matrix{{1,0,1,1,0,1,0,z_5},
           {0,1,z_1,z_2,0 ,0,1,1},
	   {0,0,0,0,1,z_3,z_4,z_4}}

myfile << "A point p of S_Q is represented by the matrix \n"
myfile << toString (netList entries X);
myfile << "\n for variables z_i subject to the line and conic conditions of the quatroid. \n \n"

load "handyFunctionsIrreducibility.m2"


J = ideal(
    apply(Qu_0, lC -> lineCondition(lC)) |
    apply(Qu_1, cC -> conicCondition(cC)))

D = decompose J
myfile << "Enforcing the line and conic conditions of Q101 results in the ideal J, whose radical has primary decomposition \n"
myfile << toString( netList D);

for JJ in D list (
    delete(null,apply( subsets(8,3), ss -> (
	    ss1 = ss+{1,1,1};
	    if (lineCondition(ss1) % JJ == 0_R )then ss1 ))))

netList oo

myfile << "\n \n All components other than the last one satisfy extra line conditions,
in addition to those of Q101. Hence they are contained in a lower stratum. \n \n"

C = last(D)
myfile << "The last component is principal and generated by \n"
myfile << toString(C_0);
myfile << "\n which is clearly irreducible." << close


