R = QQ[z_1..z_5]

--Q123
Qu  = {subsets({1,2,3,4},3),
       {{1,2,5,6,7,8},{3,4,5,6,7,8}}}

myfile = "result_Quatroid123.txt"
myfile << "Testing irreducibility of the realization space of Quatroid 123. \n \n"

-- up to the action of PGL2 we may
-- normalize the conic 125678 to be x1x2=x0^2
-- and the points 1,2,5 to be (0,1,0), (0,0,1) and (1,1,1) on such conic

X = matrix{
    {0,0, 0  , 0 , 1, z_3,   z_4,   z_5},
    {1,0, 1  , 1 , 1, z_3^2, z_4^2, z_5^2},
    {0,1, z_1,z_2, 1, 1 ,    1,     1}}

myfile << "A point p of S_Q is represented by the matrix \n"
myfile << toString (netList entries X);
myfile << "\n for variables z_i subject to the line and conic conditions of the quatroid. \n \n"

load "handyFunctionsIrreducibility.m2"

J = ideal(
    apply(Qu_0, lC -> lineCondition(lC)) |
    apply(Qu_1, cC -> conicCondition(cC)))

D = decompose J
myfile << "Enforcing the line and conic conditions of Q123 results in the ideal J, whose radical has primary decomposition \n"
myfile << toString( netList D);

for JJ in D list (
    delete(null,apply( subsets(8,3), ss -> (
	    ss1 = ss+{1,1,1};
	    if (lineCondition(ss1) % JJ == 0_R )then ss1 ))))
netList oo

myfile << "\n \n All components other than the last one satisfy extra line conditions,
in addition to those of Q123. Hence they are contained in a lower stratum. \n \n"

F = (last(D))_0 

myfile << "The last component is principal and generated by the miraculous polynomial \n"
myfile << toString(F);
myfile << "\n which is clearly irreducible." << close

