R = QQ[z_0..z_3]

-- Q25 = {{123,145,167},{234567}}

Qu = {{{1,2,3},{1,4,5},{1,6,7}},
      {{2,3,4,5,6,7}}}

myfile = "result_Quatroid25.txt"
myfile << "Testing irreducibility of the realization space of Quatroid 25. \n \n"

-- up to the action of PGL2 we may
-- and the points 1,2,4,6 to be (1,0,0), (0,1,0), (0,0,1) and (1,1,1) 

X = matrix{{1,0,1,0,1,1,z_3},
           {0,1,z_1,0,0,1,1},
	   {0,0,0,1,z_2,1,1}}

myfile << "A point p of S_Q is represented by the matrix \n"
myfile << toString (netList entries X);
myfile << "\n for variables z_i subject to the line and conic conditions of the quatroid. \n \n"

load "handyFunctionsIrreducibility.m2"

J = ideal(
    apply(Qu_0, lC -> lineCondition(lC)) |
    apply(Qu_1, cC -> conicCondition(cC)))


D = decompose J
myfile << "Enforcing the line and conic conditions of Q25 results in the ideal J, whose radical has primary decomposition \n"
myfile << toString( netList D);

for JJ in D list (
    delete(null,apply( subsets(7,3), ss -> (
	    ss1 = ss+{1,1,1};
	    if (lineCondition(ss1) % JJ == 0_R )then ss1 ))))
netList oo

myfile << "\n \n All components other than the last one satisfy extra line conditions,
in addition to those of Q25. Hence they are contained in a lower stratum. \n \n"

C = last(D)
F  = mingens C -- the ideal of the remaining component is principal
F = homogenize(F_(0,0),z_0)

myfile << "The last component is principal and, after homogenization, it is defined by the polynomial \n"
myfile << toString(F);

singF = ideal diff(vars(R),F) 

myfile << "\n \n Its singular locus is defined by the ideal \n "
myfile << toString (singF);
myfile << "\n whose codimension is "|(toString(codim singF)) << close

-- verify that the singular locus has codimension 3
-- hence the hypersurface is irreducible 
