R = QQ[z_0..z_5]

-- Q38

Qu = {{{1,2,3},{1,4,5},{1,6,7},{2,4,6},{2,5,8}},
      {{3,4,5,6,7,8}}}

myfile = "result_Quatroid38.txt"
myfile << "Testing irreducibility of the realization space of Quatroid 38. \n \n"


-- normalize the conic 345678 to be x1x2=x0^2
-- and the points 3,4,5 to be (0,1,0), (0,0,1) and (1,1,1) on such conic

X = matrix{{1,   1,    0,  0, 1,  z_3  , z_4, z_5},
           {1,   z_2,  1,  0, 1,  z_3^2, z_4^2 , z_5^2},
	   {z_1, z_1,  0,  1, 1,  1,     1, 1}}


myfile << "A point p of S_Q is represented by the matrix \n"
myfile << toString (netList entries X);
myfile << "\n for variables z_i subject to the line and conic conditions of the quatroid. \n \n"

load "handyFunctionsIrreducibility.m2"

J = ideal(
    apply(Qu_0, lC -> lineCondition(lC)) |
    apply(Qu_1, cC -> conicCondition(cC)))

D = decompose J
myfile << "Enforcing the line and conic conditions of Q38 results in the ideal J, whose radical has primary decomposition \n"
myfile << toString( netList D);

for JJ in D list (
    delete(null,apply( subsets(8,3), ss -> (
	    ss1 = ss+{1,1,1};
	    if (lineCondition(ss1) % JJ == 0_R )then ss1 ))))
myfile << "\n \n All components other than the last one satisfy extra line conditions,
in addition to those of Q25. Hence they are contained in a lower stratum. \n \n"

myfile << "The last component is cut out by the ideal \n"
C = last(D)
myfile << toString(C)
myfile << "\n\n Use the second generator to replace z_3 in the last generator and obtain the polynomial \n"
F = sub(C_2,z_3 => -(C_1 - z_3))
myfile << toString(F);


F = homogenize(F,z_0)
singF = ideal(diff(vars(R),F))
myfile << "\n \n Its singular locus, after homogenization, is defined by the ideal \n "
myfile << toString (ideal mingens singF);
myfile << "\n whose codimension is "|(toString(codim singF)) << close
