--- veronese: takes a 3xm matrix and makes it into a 6xm matrix whose columns are 
-- the 2-veronese embedding of the columns of the original matrix

veronese = M->(
    m = numcols(M);
    VM = matrix for i from 0 to m-1 list {M_(0,i)^2,M_(1,i)^2,M_(2,i)^2,M_(0,i)*M_(1,i),M_(0,i)*M_(2,i),M_(1,i)*M_(2,i)};
    return(VM)
    )

-- returns the polynomial enforcing a specific line condition on the columns of X 
lineCondition = I->(
    S = submatrix(X,{0,1,2},for i in I list i-1);
    return(det(S));
    )

-- returns the polynomial a specific conic condition on the columns of X 
conicCondition = J->(
    S = submatrix(X,{0,1,2}, for i in J list i-1);
    return(det veronese(S));
    )
